#ifndef SPECGRAMVIEWWIDGET_H
#define SPECGRAMVIEWWIDGET_H

#include "QMyGraphWidget.h"
#include "analysiswindow.h"

class specgramViewWidget : public QMyGraphWidget
{
    Q_OBJECT
public:
    explicit specgramViewWidget(QWidget *parent = 0);
    void setSpecgram(analysisWindow::specgram *spec, analysisWindow::specgram *dstSpec);

signals:

public slots:

protected:
    void paintEvent(QPaintEvent *);

private:
    analysisWindow::specgram *spec;
    analysisWindow::specgram *dstSpec;
    double minSpecValue;
    double maxSpecValue;

    QImage *image;

};

#endif // SPECGRAMVIEWWIDGET_H
